> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Providers

> This Api Handles fetching of payment providers

Get the list of available payment providers and their supported currencies and countries.


## OpenAPI

````yaml POST /api/v3/providers
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/providers:
    post:
      tags:
        - PAYMENT PROVIDERS
      summary: Get Payment Providers
      description: This Api Handles fetching of payment providers
      operationId: PaymentProviderController_providers_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentProviderDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    PaymentProviderDto:
      type: object
      properties:
        currency:
          type: string
          description: Currency
          example: NGN
          enum:
            - KES
            - GHS
            - TZS
            - UGX
            - ZMW
            - XAF
            - CDF
            - RWF
            - ETB
            - ZAR
            - XOF
        paymentMethod:
          type: string
          description: Payment method
          example: BANK_TRANSFER
          enum:
            - mobile_money
            - bank
            - card
            - crypto
      required:
        - currency
        - paymentMethod

````